Bug 130358 - lock_gulm.o verbosity is not configurable
lock_gulm.o verbosity is not configurable
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: michael conrad tadpol tilstra
GFS Bugs
: FutureFeature
Depends On:
Blocks: 137219
  Show dependency treegraph
 
Reported: 2004-08-19 12:10 EDT by Adam "mantis" Manthei
Modified: 2010-01-11 21:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 12:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam "mantis" Manthei 2004-08-19 12:10:03 EDT
Description of problem:
lock_gulm.o no longer has the ability to modify it's verbosity level,
which is quite unfortunate for when difficult issues arrise that need
in depth debugging.  The function that handles this is the load_info
function in load_info.c.  An excert of the code is below.  It would be
quite helpfull to be able to change this from "Default" to someother
value.  Module parameters are acceptable although the ability to
dynamically change it at run time would be preferred


int
load_info (char *hostdata)
{
   .
   .
   .
  /* breaking away from ccs. just hardcoding defaults here.
   * Noone really used these anyways and if ppl want them badly, we'll
   * find another way to set them. (modprobe options for example.)
   * */
   gulm_cm.handler_threads = 2;
   set_verbosity ("Default", &gulm_cm.verbosity);
   .
   .
   .
}


Version-Release number of selected component (if applicable):
GFS-6.0.0-9
Comment 1 michael conrad tadpol tilstra 2004-08-30 11:40:05 EDT
yeahyeah. this has been on the bottom of my todo list for sometime. 
Should move that stuff to module parameters.  We can look into some
other interface as well (proc or sysfs) but that might be over kill.
Comment 2 michael conrad tadpol tilstra 2005-01-12 16:55:25 EST
fixed in 6.0
Comment 3 Jay Turner 2005-05-25 12:41:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-466.html

Note You need to log in before you can comment on or make changes to this bug.